* durability monitoring 36 months assessment
* raw data from ODK data entry
* renaming and labeling of variables for household file

* this do-file is the same for all sites and can be run subsequently by replacing
* "site1_" by the corresponding abbreviations for each site in your data set

* set directory to where the raw stata files are

cd E:\data\statadata\dm\country\m36 

* load the respective province household raw data file 

use site_m36_hh_raw /* set to correct file */

* delete ODK variables not needed, rename and label core variables

drop submissiondate generated_note_name_* note* setof* metainstanceid

rename hh_id_n hhid
label var hhid "household ID"

drop province*
gen prov=int(hhid/100000)
label var prov province
label define prov 1 site1 2 site2, modify
label val prov prov
order prov, after(hhid)

rename locality_ ward
label var ward shehia
rename village_ vil
label var vil community

rename cluster_ clus
label var clus "cluster number"

rename head_hh namehh
label var namehh "name of head of household"

rename nb_nets_calc ncohort
label var ncohort "# of cohort nets in HH at last survey"

* interview status and date

rename hh_visit hhstatus
label var hhstatus "HH interview status"
label define hhstatus 1 interviewed 2 refused 3 "moved away" 0 "nobody home"
label val hhstatus hhstatus

rename date_int datetime
gen date=date(datetime, "DMYhms")
replace date=date(datetime, "DMYhm") if date==.
replace date=date(datetime, "DM20Yhm") if date==.
replace date=date(datetime, "MDYhms") if date==.
format date %tdMonth_dd,_CCYY
label var date "date of interview"
order date, after(datetime)

rename interviewer icode
label var icode "interviewer code"

* rename and label all other core variables

rename q8_ resp
label var resp "Q8 respondent for interview"
label define resp 1 head 2 spouse 3 other
label val resp resp

rename q9_ readwrite
label var readwrite "Q9 HH head can read and write"
label define yesno 0 No 1 Yes 9 DNK, modify
label val readwrite yesno

rename q10_ school
label var school "Q10 HH head went to school"
label val school yesno

rename q11_ level
label var level "Q11 HH head highest level of schooling"
label define level 1 primary 2 secondary 3 tertiary 9 DNK
label val level level

rename q12_ roof
label var roof "Q12 main roof material"
label define roof 1 "grass/leaves" 2 thatch 3 sheets 4 tiles 
label val roof roof

rename q13_ wall
label var wall "Q13 main wall material"
label define wall 1 grass 2 mud 3 plastered 4 "brick/concrete"
label val wall wall

rename q14_ floor
label var floor "Q14 main floor material"
label define floor 1 "earth/sand" 2 clay 3 "wood etc." 4 "vinyl/parquet" 5 "tiles/cement"
label val floor floor

rename q15_ room
label var room "Q15 number of rooms"

rename q16_ sroom
label var sroom "Q16 number of rooms for sleeping"

rename q17_ splace
label var splace "Q17 number of sleeping places"

rename q18_ storefood
label var storefood "Q18 food storage in sleeping room"
label val storefood yesno

rename q19_ water
label var water "Q19 main source drinking water"
label define water 1 surface 2 "rain/gutter pipe" 3 "protected well" 4 borehole 5 "public tap" 6 "tap in house" 7 other
label val water water

rename q19oth othwater
label var othwater "Q19 other water source"

rename q20_ latrine
label var latrine "Q20 type of latrine"
label define latrine 1 none 2 "shared pit" 3 "own pit" 4 "shared VIP" 5 "own VIP" 6 "shared flush" 7 "own flush"
label val latrine latrine

rename q21_ cook
label var cook "Q21 main fuel for cooking"
label define cook 1 firewood 2 charcoal 3 kerosene 4 gas 5 electricity
label val cook cook

rename q22_ slpcook
label var slpcook "Q22 cooking in sleeping room"
label define slpcook 1 always 2 sometimes 3 never 9 DNK
label val slpcook slpcook

rename q23_ rodent
label var rodent "Q23 rodents seen around house last 6 month"
label val rodent yesno

drop table_list_appliance_ngenerated_ table_list_appliance_nreserved_n

rename table_list_appliance_nq24_radio radio
label var radio "Q24 HH has radio"
label val radio yesno

rename table_list_appliance_nq24_tel tv
label var tv "Q24 HH has TV"
label val tv yesno

rename table_list_appliance_nq24_fr fridge
label var fridge "Q24 HH has fridge"
label val fridge yesno

rename table_list_appliance_nq24_elec_f fan
label var fan "Q24 HH has electric fan"
label val fan yesno

rename table_list_appliance_nq24_elec_i iron
label var iron "Q24 HH has electric iron"
label val iron yesno

rename table_list_appliance_nq24_simple mobile
label var mobile "Q24 HH has simple mobile"
label val radio yesno

rename table_list_appliance_nq24_smart smart
label var smart "Q24 HH has smartphone"
label val smart yesno

rename table_list_appliance_nq24_comp computer
label var computer "Q24 HH has computer"
label val computer yesno

drop table_list_transport_ngenerated_ table_list_transport_nreserved_n

rename table_list_transport_nq25_bicyle bici
label var bici "Q25 HH has bicycle"
label val bici yesno

rename table_list_transport_nq25_motor moto
label var moto "Q25 HH has motorbike"
label val moto yesno

rename table_list_transport_nq25_car car
label var car "Q25 HH has car or truck"
label val car yesno

rename table_list_transport_nq25_animal animaltrans
label var animaltrans "Q25 HH has animal transport"
label val animaltrans yesno

rename table_list_transport_nq25_canoe boat
label var boat "Q25 HH has canoe, boat or ship"
label val boat yesno

drop group_livestockgenerated_table_l

rename group_livestockq26_chicken chick
label var chick "Q26 number of chicken"

rename group_livestockq26_duck duck
label var duck "Q26 number of ducks/turkeys"

rename group_livestockq26_goat goat
label var goat "Q26 number of goats/sheep"

rename group_livestockq26_pig pig
label var pig "Q26 number of pigs (camel)"

rename group_livestockq26_cow cow
label var cow "Q26 number of cows"

rename group_livestockq26_donkey donkey
label var donkey "Q26 number of donkeys/mules"

rename group_livestockq26_other othanimal
label var othanimal "Q26 number of other animals"

rename q27_ land
label var land "Q27 HH owns land for farming"
label val land yesno

rename q28_ hectar 
label var hectar "Q28 land size in hectar"

rename q29_ anynet
label var anynet "Q29 HH owns any mosquito nets"
label val anynet yesno

rename q30_ many
label var many "Q30 number of nets owned"

rename q31_ numgotc2
label var numgotc2 "Q31 number of campaign nets received"

rename q32_ getneto
label var getneto "Q32 HH got other nets since campaign"
label val getneto yesno

rename q33_ numgeto
label var numgeto "Q33 number of other nets obtained"

drop table_list_other_nets_ngenerated table_list_other_nets_nreserved_

rename table_list_other_nets_nq34_ant getanc
label var getanc "Q34 HH got nets from ANC"
label val getanc yesno

rename table_list_other_nets_nq34_hosp gethf
label var gethf "Q34 HH got nets from hospital or facility"
label val gethf yesno

rename table_list_other_nets_nq34_relat getrel
label var getrel "Q34 HH got nets from relatives or friends"
label val getrel yesno

rename table_list_other_nets_nq34_farm getshop
label var getshop "Q34 HH got nets from shop/pharmacy"
label val getshop yesno

rename table_list_other_nets_nq34_mark getmarket
label var getmarket "Q34 HH got nets from market"
label val getmarket yesno

rename table_list_other_nets_nq34_oth getoth
label var getoth "Q34 HH got nets from other source"

rename q35_ anymes
label var anymes "Q35 respondent heard message on nets last 6 month"
label val anymes yesno

drop table_source_info_ngenerated_tab table_source_info_nreserved_name

rename table_source_info_nq36_com_he meschw
label var meschw "Q36 info from CHW"
label val meschw yesno

rename table_source_info_nq36_radio mesradio
label var mesradio "Q36 info from radio"
label val mesradio yesno

rename table_source_info_nq36_song messong
label var messong "Q36 info from song on radio"
label val messong yesno

rename table_source_info_nq36_drama mesdrama
label var mesdrama "Q36 info from drama performance"
label val mesdrama yesno

rename table_source_info_nq36_health meshw
label var meshw "Q36 info from health worker"
label val meshw yesno

rename table_source_info_nq36_com_lea meslead
label var meslead "Q36 info from community leader"
label val meslead yesno

rename table_source_info_nq36_town mestown
label var mestown "Q36 info from town announcer"
label val mestown yesno

rename table_source_info_nq36_pharm messhop
label var messhop "Q36 info from pharmacy or shop attendant"
label val messhop yesno

rename table_source_info_nq36_friend mesfam
label var mesfam "Q36 info from family or friends"
label val mesfam yesno

rename table_source_info_nq36_mosq mesfaith
label var mesfaith "Q36 info from mosque or church"
label val mesfaith yesno

rename table_source_info_nq36_news mesnews
label var mesnews "Q36 info from newspapers or TV"
label val mesnews yesno

rename table_source_info_nq36_oth mesoth
label var mesoth "Q36 info from other source"

drop table_content_ngenerated_table_l table_content_nreserved_name_for

rename table_content_nq37_use rcuse
label var rcuse "Q37 recalls 'use net'"
label val rcuse yesno

rename table_content_nq37_care rccare
label var rccare "Q37 recalls 'care for net'"
label val rccare yesno

rename table_content_nq37_hang rchang
label var rchang "Q37 recalls 'hang your net'"
label val rchang yesno

rename table_content_nq37_under rcevery
label var rcevery "Q37 recalls 'use net every night'"
label val rcevery yesno

rename table_content_nq37_prevent rcprev
label var rcprev "Q37 recalls 'nets prevent malaria'"
label val rcprev yesno

rename table_content_nq37_repair rcrep
label var rcrep "Q37 recalls 'repair your net'"
label val rcrep yesno

rename table_content_nq37_oth rcoth
label var rcoth "Q37 recalls other"

rename q38_ discuss
label var discuss "Q38 discussed net care & repair"
label val discuss yesno

rename q38b_season season
label var season "Q7 seasonal use"
label define season 1 "equally rain and dry" 2 "mainly rain" 3 "only rain" 4 "not used" 9 dnk, modify
label val season season

rename q39 ls01
label var ls01 "Q39 can obtain enough nets for all children"

rename q40 ls02
label var ls02 "Q40 hang net for children"

rename q41 ls03
label var ls03 "Q41 Protect yourself/children from malaria"

rename q42 ls04
label var ls04 "Q42 Save enough money for nets for all children"

rename q43 ls05
label var ls05 "Q43 Sleep under a bed net every night of the year"

rename q44 ls06
label var ls06 "Q44 Get all children to use net every night"

rename q60_ everhole
label var everhole "Q60 ever experienced holes in nets"
label val everhole yesno

drop table_list_holes_ngenerated_ table_list_holes_nreserved_

rename table_list_holes_nq61_nail tear
label var tear "Q61 torn on edge of nail"
label val tear yesno

rename table_list_holes_nq61_pull corner
label var corner "Q61 pulled and torn on corner"
label val corner yesno

rename table_list_holes_nq61_burn burn
label var burn "Q61 burned by candle or sparks"
label val burn yesno

rename table_list_holes_nq61_mice rats
label var rats "Q61 damaged by rats or mice"
label val rats yesno

rename table_list_holes_nq61_another holeoth
label var holeoth "Q61 damaged in another way"
label val holeoth yesno

rename table_list_holes_nq61_dk holednk
label var holednk "Q61 don't know how"
label val holednk yesno

rename q62_ everrepair
label var everrepair "Q62 ever repaired holes in net"
label val everrepair yesno

drop table_how_repair_ngenerated table_how_repair_nreserved

rename table_how_repair_nq63_stitched stitch
label var stitch "Q63 stitched hole"
label val stitch yesno

rename table_how_repair_nq63_knotted knot
label var knot "Q63 knotted hole"
label val knot yesno

rename table_how_repair_nq63_patch patch
label var patch "Q63 patched hole"
label val patch yesno

rename table_how_repair_nq63_other repairoth
label var repairoth "Q63 repaired in other way"
label val repairoth yesno

drop table_who_repair_ngenerated table_who_repair_nreserved

rename table_who_repair_nq64_hh_mem repair6hh
label var repair6hh "Q64 household member repaired"
label val repair6hh yesno

rename table_who_repair_nq64_tailor repair6tlr
label var repair6tlr "Q64 tailor repaired"
label val repair6tlr yesno

rename table_who_repair_nq64_friend repair6frn
label var repair6frn "Q64 friend or relative repaired"
label val repair6frn yesno

rename table_who_repair_nq64_comm repair6vol
label var repair6vol "Q64 community volunteer repaired"
label val repair6vol yesno

rename table_who_repair_nq64_other repair6oth
label var repair6oth "Q64 other person repaired"

rename q65_m norep
label var norep "Q65 main reason for not repairing holes"
label define norep 1 "no time" 2 "not necessary" 3 "don't know how" 4 "lack materials" /*
*/ 5 "holes too small" 6 "not possible" 7 other 9 DNK
label val norep norep

rename q65_o norepoth
label var norepoth "Q66 other reason for not repairing"

drop table_prevent_holes_ngenerated table_prevent_holes_nreserved

rename table_prevent_holes_nq66_child dochild
label var dochild "Q66 keep from children to protect nets"
label val dochild yesno

rename table_prevent_holes_nq66_pest dopest
label var dopest "Q66 keep pests away to protect nets"
label val dopest yesno

rename table_prevent_holes_nq66_tieup dotie
label var dotie "Q66 tie up net to protect nets"
label val dotie yesno

rename table_prevent_holes_nq66_care dohandle
label var dohandle "Q66 handle with care to protect nets"
label val dohandle yesno

rename table_prevent_holes_nq66_food donofood
label var donofood "Q66 do not soil with food to protect nets"
label val donofood yesno

rename table_prevent_holes_nq66_fire dofire
label var dofire "Q66 keep from flames/fire to protect nets"
label val dofire yesno

rename table_prevent_holes_nq66_wash_n dogentle
label var dogentle "Q66 wash gently to protect nets"
label val dogentle yesno

rename table_prevent_holes_nq66_wash_d dowash
label var dowash "Q66 wash only when dirty to protect nets"
label val dowash yesno

rename table_prevent_holes_nq66_inspect doinsp
label var doinsp "Q66 inspect for holes regularly to protect nets"
label val doinsp yesno

rename table_prevent_holes_nq66_repair doearly
label var doearly "Q66 repair holes early to protect nets"
label val doearly yesno

rename table_prevent_holes_nq66_imposs doimposs
label var doimposs "Q66 not possible to protect nets from holes"
label val doimposs yesno

rename table_prevent_holes_nq66_nothing donothing
label var donothing "Q66 do nothing to protect nets"
label val donothing yesno

rename table_prevent_holes_nq66_other dooth
label var dooth "Q66 do other to protect nets"
label val dooth yesno

rename q66_other doother
label var doother "Q66 specfy other"

drop table_way_wash_ngenerated table_way_wash_nreserved

rename table_way_wash_nq67_gently wgentle
label var wgentle "Q67 wash gently"
label val wgentle yesno

rename table_way_wash_nq67_basin wbasin
label var wbasin "Q67 wash in basin"
label val wbasin yesno

rename table_way_wash_nq67_soap wsoap
label var wsoap "Q67 use mild soap"
label val wsoap yesno

rename table_way_wash_nq67_dirty wdirty
label var wdirty "Q67 wash only when dirty"
label val wdirty yesno

rename table_way_wash_nq67_3 wfreq
label var wfreq "Q67 wash not more than once per 3 months"
label val wfreq yesno

rename table_way_wash_nq67_stream wstream
label var wstream "Q67 do not wash in stream/river"
label val wstream yesno

rename table_way_wash_nq67_other woth
label var woth "Q67 wash other"
label val woth yesno

rename q67_o wother
label var wother "Q67 other specify"

rename q68_ ls07
label var ls07 "Q68 nets are valuable"

rename q69_ ls08
label var ls08 "Q69 can take action for net to last long"

rename q70_ ls09
label var ls09 "Q70 not possible to repair holes"

rename q71_ ls10
label var ls10 "Q71 repaired net can still be effective"

rename q72_ ls11
label var ls11 "Q72 other repair holes"

rename q73_ ls12
label var ls12 "Q73 have no time to repair"

rename q74_ ls13
label var ls13 "Q74 can help family by taking care of net"

rename q75_ ls14
label var ls14 "Q75 confident to repair holes immediately"

drop group_repeat  metain

save site_m36_hh_label, replace 

* END *
