* durability monitoring baseline assessment
* raw data from ODK data entry
* renaming and labeling of variables for household member file

cd E:\data\statadata\dm\country\m36

use site_m36_ind_raw

* delete ODK variables not needed, rename and label core variables

drop note_ setof
rename key indkey
label var indkey "individual key from ODK"
rename parent_key key
label var key "household key from ODK"

rename q2_ name
label var name "Q02 name of HH member"
order name, before(q3_)

rename id_field persid
label var persid "individal ID"

rename q3_ rel
label var rel "Q03 relation to head of HH"
label define rel 1 head 2 spouse 3 "son/daughter" 4 "son/daughter in law" /*
*/ 5 grandchild 6 parents 7 "parents in law" 8 "brother/sister/in law" /*
*/ 9 "other relative" 10 "adopted/fostered/stepchild" 11 "not related" 98 DNK
label val rel rel

rename q4_ sex
label var sex "Q05 gender of individual"
label define sex 1 male 2 female
label val sex sex

rename q5_ live
label var live "Q05 usually lives here - de jure member"
label define yesno 0 No 1 Yes 9 DNK
label val live yesno

rename q6_ stay
label var stay "Q06 stayed in house last night - de facto member"
label val stay yesno

rename q7_age_y age
label var age "Q07 age in years"

rename q7_age_m agem
label var agem "Q07 age in months"

save site_m36_ind_label, replace

* END *
