* durability monitoring baseline assessment
* raw data from ODK data entry
* renaming and labeling of variables for campaign net file

cd E:\data\statadata\dm\country\m36

use site_m36_cnet_raw

* delete ODK variables not needed, rename and label core variables

drop calc_net_id_n 

rename real_net_id_calc_n cnetid
label var cnetid "DM cohort ID number on net"

rename true_net_id* netid
label var netid "net ID"
order netid, before(cnetid)

rename q86_net still
label var still "cohort net still there"
label val still yesno

rename group_each_net_nq86_1_how_long netage
label var netage "Q79 months until loss"

rename group_each_net_nq86_1_happened netstat
label var netstat "Q80 what happened to net"
label define netstat 1 stolen 2 "destroyed by accident" 3 sold 4 "given to relatives"/*
*/ 5 "given others" 6 "thrown away" 7 "used otherwise" 8 other 9 DNK 10 "use by family in other location", modify
label val netstat netstat

rename q86_1_used ause
label var ause "Q81 alternative use"
label define ause 1 "window covering etc" 2 "protecting plants" 3 fishing /*
*/ 4 "drying fish" 5 bedding 6 latrine 7 "patch other nets" 8 "cut up for various" /*
*/ 9 other 10 DNK
label val ause ause

rename q86_1_not reas
label var reas "Q82 reason for not keeping net"
label define reas 1 "too torn" 2 "too dirty" 3 "not needed" 4 "did not like" /*
*/ 5 "needed money" 6 other 9 DNK
label val reas reas

rename q86_1_oth reasoth
label var reasoth "Q82 other reason"


rename group_q87_nq87_1_net_found_n loc
label var loc "Q87 location of net"
label define loc 1 "hang loose" 2 "hang folded/tied" 3 "taken down" 4 stored /*
*/ 5 "in package" 6 "temporarily taken away" 9 DNK, modify
label val loc loc

rename group_q87_nq88_1_sleeping_n splace
label var splace "Q88 type of sleeping place"
label define splace 1 "bedframe (finished)" 2 "bedframe (sticks)" 3 "foam mattress"/*
*/ 4 "reed mat" 5 grass 6 ground 7 "never used"
label val splace splace

rename group_q87_nq89_1_under_n uselast
label var uselast "Q89 net used last night"
label val uselast yesno

rename q90_ notuse
label var notuse "Q90 main reason for not using"
label define notuse 1 "no mosquitoes" 2 "no malaria" 3 "too hot" 4 "smell" /*
*/ 5 "feel closed in" 6 "too old/torn" 7 "too dirty" 8 "net not available (washing)"/*
*/ 9 "user not around" 10 "not needed" 11 other 98 DNK
label val notuse notuse

rename group_q91_nq91_infant useinfant
label var useinfant "Q91 infant used net"
label val useinfant yesno

rename group_q91_nq91_yg useych
label var useych "Q91 child 1-4 yrs used net"
label val useych yesno

rename group_q91_nq91_old useoch
label var useoch "Q91 child 5-9 yrs used net"
label val useoch yesno

rename group_q91_nq91_ado useadol
label var useadol "Q91 adolescent 10-19 yrs used net"
label val useadol yesno

rename group_q91_nq91_adult useadult
label var useadult "Q91 adult used net"
label val useadult yesno

rename group_q91_suite_nq92_1_nights freq
label var freq "Q92 use frequency last week"
label define freq 1 "every night" 2 "most (5-6)" 3 "some (1-4)" 4 "not used" /*
*/ 5 "never used" 9 DNK
label val freq freq

rename group_q91_suite_nq93_1_be wash
label var wash "Q93 net ever washed"
label val wash yesno

rename group_q91_suite_2_nq94_1_nb times
label var times "Q94 number of washes last 6 months"

rename group_q91_suite_2_nq95_1 soap
label var soap "Q95 type of soap used"
label define soap 1 "bar soap" 2 detergent 3 bleach 4 mix 5 none 6 "never washed"
label val soap soap

rename group_q91_suite_2_nq96_1 dried
label var dried "Q96 how net was dried"
label define dried 1 "outside ground" 2 "outside line" 3 "outside bush" 4 inside
label val dried dried

rename q97_ everh
label var everh "Q97 net ever had hole"
label val everh yesno

drop table_list_holes_programme_nets_ v26

rename v27 tear1
label var tear1 "Q98 torn on object"
label val tear1 yesno

rename v28 tear2
label var tear2 "Q98 pulled and tore"
label val tear2 yeano

rename v29 burn
label var burn "Q98 burned by flame or spark"
label val burn yesno

rename v30 rats
label var rats "Q98 damaged by rodents"
label val rats yesno

rename v31 seam
label var seam "Q98 seam came open"
label val seam yesno

rename v32 mecoth
label var mecoth "Q98 otherwise damaged"
label val mecoth yesno

rename v33 mecdnk
label var mecdnk "Q98 don't know how damaged"

drop acknow

rename group_nb_holes_nq99_1 size1
label var size1 "Q99 # of holes size 1"

rename group_nb_holes_nq101_1 size2
label var size2 "Q101 # of holes size 2"

rename group_nb_holes_nq103_1 size3
label var size3 "Q103 # of holes size 3"

rename group_nb_holes_nq105_1 size4
label var size4 "Q105 # of holes size 4"

rename group_nb_repairs_nq107_1 repair
label var repair "Q107 # of fully repaired holes"

rename group_nb_repairs_nq108_1 partrep
label var partrep "Q108 # of partly repaired holes"

rename q109_ modify
label var modify "Q109 net was modified"
label val modify yesno

rename q110_ howmod
label var howmod "Q110 how modified"
label define howmod 1 "change shape" 2 lengthen 3 enforce 4 other
label val howmod howmod

drop setofgr

rename key netkey
label var netkey "key for net from ODK"

rename parent_key key
label var key "household key from ODK"

save site_m36_cnet_label, replace

* END*
