* durability monitoring baseline assessment
* raw data from ODK data entry
* renaming and labeling of variables for non-campaign net file

cd E:\data\statadata\dm\country\m36

use site_m36_ncnet_raw

* delete ODK variables not needed, rename and label core variables

rename id_net_field_no_program netid
label var netid "Net ID"

gen hhid=int(netid/10)
label var hhid "Household ID"

gen clus=int(hhid/1000)
label var clus "Cluster number"
order netid hhid clus, before(group_net_seen_nq111_4_net_mod_n)

rename group_net_seen_nq111_ seen
label var seen "Q111 net seen"
label define yesno 0 No 1 Yes 9 DNK
label val seen yesno

rename group_net_seen_nq112_4_ brand
label var brand "Q112 brand of net"
label define brand 1 Permanet 2 "Dawa Plus" 3 Olyset 4 Duranet 5 Interceptor/*
*/ 6 Netprotect 7 "tailor made" 8 unbranded 9 other 10 MagNet /*
*/ 11 "Royal Sentry" 12 Yorkool , modify
label val brand brand

rename q112 brandoth
label var brandoth "Q112 other brand"

drop note_n_no_program

rename group_shape_nq113_4 shape
labe var shape "Q113 shape of net"
label define shape 1 recangular 2 conical
label val shape shape

rename group_shape_nq114_4 color
label var color "Q114 color of net"
label define color 1 white 2 green 3 blue 4 other
label val color color

rename group_shape_nq115_4_net dip
label var dip "Q115 net ever dipped"
label val dip yesno

rename group_when_soaked_nq116_4 dipm
label var dipm "Q116 months since last dipping"

rename group_when_net_nq117_4 nagem
label var nagem "Q117 net age in months"

rename v11 nagey
label var nagey "Q117 net age in years"

rename group_when_net_nq118_4 source
label var source "Q118 source of net"
label define source 1 campaign 2 ANC 3 "health facility" 4 "CDD/CHW" 5 "faith org" /*
*/ 6 "family or friends" 7 "private clinic" 8 pharmacy 9 "shop/supermarket" /*
*/ 10 market 11 hawker 12 school 13 NGO 14 other 15 "most recent campaign"
label val source source

rename q_118_ sourceoth
label var sourceoth "Q118 other source"

rename group_pay_money_nq119_4 pay
label var pay "Q119 paid for net"
label val pay yesno

rename group_pay_money_nq120_4 loc
label var loc "Q120 location of net"
label define loc 1 "hang loose" 2 "hang folded/tied" 3 "taken down" 4 stored /*
*/ 5 "in package" 6 "temporarily taken away"
label val loc loc

rename group_pay_money_nq121_4 uselast
label var uselast "Q121 net used last night"
label val uselast yesno

rename q122_ notuse
label var notuse "Q122 main reason for not using"
label define notuse 1 "no mosquitoes" 2 "no malaria" 3 "too hot" 4 "smell" /*
*/ 5 "feel closed in" 6 "too old/torn" 7 "too dirty" 8 "net not available (washing)"/*
*/ 9 "user not around" 10 "not needed" 11 other 98 DNK
label val notuse notuse

rename q_122_o notuseoth
label var notuseoth "Q122 other reason for non-use"

rename group_q123_nq123_infant useinfant
label var useinfant "Q123 infant used net"
label val useinfant yesno

rename group_q123_nq123_yg useych
label var useych "Q123 child 1-4 yrs used net"
label val useych yesno

rename group_q123_nq123_old useoch
label var useoch "Q123 child 5-9 yrs used net"
label val useoch yesno

rename group_q123_nq123_ado useadol
label var useadol "Q123 adolescent 10-19 yrs used net"
label val useadol yesno

rename group_q123_nq123_adult useadult
label var useadult "Q123 adult used net"
label val useadult yesno

rename group_nb_nights_nq124_4 freq
label var freq "Q124 use frequency last week"
label define freq 1 "every night" 2 "most (5-6)" 3 "some (1-4)" 4 "not used" /*
*/ 5 "never used" 9 DNK
label val freq freq

rename group_nb_nights_nq125_4 wash
label var wash "Q125 net ever washed"
label val wash yesno

rename group_nb_nights_nq126_4 times
label var times "Q126 number of washes last 6 months"

drop setofgr

rename key netkey
label var netkey "key for net from ODK"

rename parent_key key
label var key "household key from ODK

save site_m36_ncnet_label, replace

* END*
