* this do file updates the two master files, one for households and one for the cohort nets
* by merging relevant information from the m36 data

* adjust the file by replacing "country" with your settings using <edit>, <find, replace>

* adjust the paths accordingly

* PART 1 the household master file

* create master household and cohort net files 

cd E:\data\statadata\dm\country

* start with m36 household file

use E:\data\statadata\dm\country\m36\country_m36_hh_final

keep hhid hhstat namehh date tdistr numgotc2 ncohortm36

rename namehh namehh3

rename hhstat hhstat3
label var hhstat3 "HH status m36"

rename date date3
label var date3 "date m36"

rename tdistr tdistr3
label var tdistr3 "months since campaign at m36"

rename numgotc2 numgot3
label var numgot3 "campaign nets received at m36"

rename ncohortm36 ncohort3
label var ncohort3 "cohort nets at m36"

save country_hh_m36_temp, replace

* merge the files

use country_hh_master_m24

merge 1:1 hhid using country_hh_m36_temp
* check outcome and adjust if needed
drop _merge

replace hhstat3=4 if ncohort3==0 
replace hhstat3=hhstat2 if hhstat3==. & hhstat2>1
replace hhstat3=9 if hhstat3==. & hhstat2<2
label define hhstat 0 "nobody home" 1 interviewed 2 refused 3 "moved away" 4 "lost all their cohort nets" 9 unknown, modify
label val hhstat3 hhstat

tab hhstat3
*ensure hat all households have a valid status
* if there is a missing value, replace with "9"

gen active3=hhstat3<2 if hhstat3!=.
replace active3=1 if hhstat3==9
label var active3 "hh active at m36"

replace ncohort3=ncohort2 if ncohort3==. & active3==1
replace ncohort3=ncohort1 if ncohort3==. & active3==1
replace ncohort3=ncohort0 if ncohort3==. & active3==1

save country_hh_master_m36, replace

* prepare anonym master file
drop namehh lati longi

save country_hh_master_m36_anonym, replace

******************************************************************************

* PART 2 the cohort net master file

* start with m36 cnet file

use E:\data\statadata\dm\country\m36\country_m36_cnet_final

keep netid hhid clus prov cnetid tdistr still netstat loc timelost serv attr 

drop if timelost==0
rename timelost timelost3

rename still still3
label var still3 "still there at m36"

rename netstat netstat3
label var netstat3 "status lost nets at m36"

rename loc loc3
label var loc3 "net location at m36"

rename attr attr3
label var attr3 "attrition status at m36"

rename tdistr tdistr3
label var tdistr3 "time since campaign at m36"

rename serv serv3
label var serv3 "cohort net serviceable at m36"

save country_cnet_m36_temp, replace

* merge the files

use country_cnet_master_m24

merge 1:1 netid using country_cnet_m36_temp, update replace
* all nets from m36 file found match
drop _merge

save country_cnet_master_m36, replace

* import data from hh master for cnets not seen in m36

use country_hh_master_m36 

keep hhid hhstat3

save hh_cnet_3, replace

use country_cnet_master_m36

merge m:1 hhid using hh_cnet_3
* all records match
drop _merge

replace attr3=attr0 if timelost==0 & attr3==.

replace attr3=9 if hhstat3==0 & attr3==.
replace attr3=4 if (hhstat3==2 | hhstat3==3) & attr3==.
replace attr3=9 if hhstat3==9 & attr3==.
replace attr3=attr2 if attr3==. & attr2>0
replace attr3=9 if attr3==. & hhstat2==1

label define attr 4 "hh moved away or refused" 5 "net lost unknown reason", modify

replace still3=0 if still3==. & timelost==0
replace still3=0 if still2==0 & still3==.
replace still3=1 if attr3==3 & still3==0
replace still3=0 if attr3==4 & still3==.
replace still3=9 if attr3==9 & still3==.

gen active3=attr3==0 | attr3==3 | attr3==9
label var active3 "net active at m36"

replace timelost=3 if still3==0 & timelost==.
label var timelost "time when campaign net was lost"
label define timelost 0 "before baseline" 1 "base to m12" 2 "m12 to m24" 3 "m24 to m36", modify
label val timelost timelost

gen known3=attr3<3 | attr3==5
label var known3 "known outcome at m36"

gen surv3=serv3 if serv3!=.
replace surv3=0 if attr0==2 | attr1==2 | attr2==2 | attr3==2
label var surv3 "survived in serviceable condition at m36"

save, replace



