
* this do file merges the lab bio-assay data with the bio-assay questionnaire data
* and creates the bio-assay outcome variables
* it assumes that lab data is taken from an Excel spread sheet with the following
* six variables:
* netid= same netid as in the bio-assay questionnaire file (important!!)
* n= number of mosquitoes tested per net
* n_kd= number of mosquitoes knocked down after 60 minutes
* kd60= fraction knocked down
* n_m= number of mosquitoes dead after 24 hours
* mort= fraction of mosquitoes dead

* adjust by replacing "country" with your setting

cd E:\data\statadata\dm\country\m36

* copy-paste in data from ento spreadsheet into stata data editor

save country_ent_m36_raw, replace

label var n "number of mossi tested"
label var n_kd "number knocked down 60min"
label var kd60 "% knocked down 60min"
label var n_m "number dead 24h"
label var mort "% dead 24h"

label var t_feed "feeding inhibition"
label var t_mort "tunnel mortality"

replace t_feed=t_feed*100
replace t_mort=t_mort*100

gen opt=kd60>=95 | mort>=80
label var opt "optimal effectiveness"
gen min=kd60>=75 | mort>=50
label var min "minimal effectiveness"

gen opt2=kd60>=95 | mort>=80 | t_feed>=90 | t_mort>=80
label var opt2 "optimal effectiveness with tunnel"
gen min2=kd60>=75 | mort>=50 | t_feed>=90 | t_mort>=80
label var min2 "minimal effectiveness with tunnel"

gen effgr=2 if opt==1
replace effgr=1 if opt==0 & min==1
replace effgr=0 if opt==0 & min==0
label var effgr "bio-assay effectiveness grouped"
label define effgr 0 fail 1 minimal 2 optimal, modify
label val effgr effgr

gen effgr2=2 if opt2==1
replace effgr2=1 if opt2==0 & min2==1
replace effgr2=0 if opt2==0 & min2==0
label var effgr2 "bio-assay effectiveness grouped with tunnel test"
label val effgr2 effgr

save country_bio_m36, replace

* extract info on net from cnet file
* cnet_x file is one where all nets without cnetid
* (those lost between campaign and baseline) are dropped

merge 1:1 cnetid using country_m36_cnet_x
keep if _merge==3
drop _merge

keep netid cnetid hhid prov clus loc splace uselast usegr freq wash times soap /*
*/ n n_kd n_m kd60 mort t_feed t_mort opt min opt2 min2 effgr effgr2

gen camp=1
order camp, before(loc)
label var camp "is campaign net"

rename usegr usergr

* get the season variable from the household file

merge m:1 hhid using country_m36_hh_final
keep if _merge==3
drop _merge

keep netid cnetid hhid prov clus loc splace uselast usergr freq season wash times soap /*
*/ n n_kd n_m kd60 mort t_feed t_mort opt min opt2 min2 effgr effgr2

order season, after(freq)

gen survey=3 if prov<3
replace survey=2 if prov==3
label define survey 1 "12months" 2 "24months" 3 "36months", modify
label val survey survey

* append previous survey data

append using E:\data\statadata\dm\country\m24\country_bio_m12_24, force

save country_bio_m12_m36, replace


