* DM m36 moz analysis for tables and graphs

* change to directionary of data files

cd E:\data\statadata\dm\country\m36 /* change to your local settings*/

set more off

* baseline values are taken from baseline report (or data set)

************************************************************************

* Figure 2 

* follow-up of households

* from hh master file

use E:\data\statadata\dm\country\country_hh_master_m36_anonym

tab hhstat3 prov, col

tab active3 prov, col

* use the powerpoint "dm households and nets" template to produce the graph

************************************************************************

* TABLE 2

use country_m36_hh_final_anonym

* food stored in sleeping room

svy: tab storefood prov, col perc ci obs

* cooking in sleeping room

svy: tab slpcook prov if slpcook<9, col perc ci obs

* observed traces of mice or rats last 6 months

svy: tab rodent prov, col perc ci obs

****************************************************************************
* TABLE 3

* Campaign (cohort) nets folded or tied if hanging

use country_m36_cnet_final_anonym

svy: tab loc prov if loc<3, col perc ci obs

* nets dried on bush or fence

svy: tab dried prov, col perc ci obs

* nets ever washed

svy: tab wash prov, col perc ci obs

* median washed if washed

univar times if wash==1
byvar prov: univar times if wash==1

* the "univar" command is not a standard Stata command but can be downloaded
* by typing "findit univar" in the command window and then following the link

* alternatively

sort prov
sum times if wash==1, detail
byvar prov: sum times if wash==1, detail

* use of detergent for washing

svy: tab soap prov, col perc ci

********************************************************************************

* FIGURE 3 (Figure 6 in baseline report template)

* use the excel template "dm_m36_figures" to produce the graph

* type of sleeping place used is net used

use country_m36_cnet_final_anonym

svy: tab splacegr prov if splacegr<4, col perc ci obs

********************************************************************************

* TABLE 4

* any exposure to messages on net use, care and repair

use country_m36_hh_final_anonym

svy: tab anymes prov, col perc ci

* mean number of info sources if exposed

svy: mean nummes if anymes==1
svy: mean nummes if anymes==1, over(prov)

* media type

svy: tab mesgr prov if mesgr>0, col perc ci 

******************************************************************************

* TABLE 5

* messages recalled

* use net or use net every day
svy: tab rcuse2 prov, col perc obs

* nets prevent malaria
svy: tab rcprev prov, col perc obs

* care for your net
svy: tab rccare prov, col perc 

* repair your net
svy: tab rcrep prov, col perc 

* mean care & repair attitude score

svy: mean crattscore
svy: mean crattscore, over(prov)

* proportion with positive care & repare attitude score

svy: tab crattgr prov, col perc ci

********************************************************************************

* TABLE 6

* household repair behavior

use country_m36_hh_final_anonym

* ever had net with holes
svy: tab everhole prov, col perc ci obs

* ever discussed net care & repair
svy: tab discuss prov, col perc ci obs

* ever repaired holes if had any nets with holes
svy: tab everrep prov, col perc ci obs

* actual repairs made in damaged campaign nets

use country_m36_cnet_final_anonym

svy: tab anyrep prov, col perc ci obs


********************************************************************************

* TABLE 7 

* hanging and use of campaign nets

use country_m36_cnet_final_anonym

* cohort nets hanging

svy: tab hang prov, col perc ci obs

* cohort nets still in package

svy: tab loc prov, col perc ci obs

* used last night

svy: tab uselast prov, col perc ci obs

* used every night last week

gen every=freq==1
svy: tab every prov, col perc ci obs
clear

********************************************************************************

* TABLE 8 

* hanging and use of non-cohort nets

use country_m36_ncnet_final_anonym

* cohort nets hanging

svy: tab hang prov, col perc ci obs

* cohort nets still in package

svy: tab loc prov, col perc ci obs

* used last night

svy: tab uselast prov, col perc ci obs

* used every night last week

gen every=freq==1
svy: tab every prov, col perc ci obs
clear

********************************************************************************

* TABLE 9

* households with any non-cohort net

use country_m36_hh_final_anonym

svy: tab anyncohort prov, col perc ci obs

use country_m36_ncnet_final_anonym

* source is public sector

svy: tab pub prov if source!=., col perc ci obs

* households with other campaign net

svy: tab cnet prov if source!=., col perc ci

* source is private sector

svy: tab priv prov if source!=., col perc ci

* source is family/friends, NGO etc.

svy: tab osource prov if source!=., col perc ci obs

********************************************************************************

* TABLE 10

* net users cohort nets

use country_m36_cnet_final_anonym

svy: tab usegr2 prov, col perc ci obs

********************************************************************************

* TABLE 11

* net users non-cohort nets

 use country_m36_ncnet_final_anonym

 svy: tab usegr2 prov, col perc ci obs
 
********************************************************************************
 
* FIGURES 4-6
 
* follow-up of cohort nets
 
* from cnet master file
 
use E:\data\statadata\dm\country\country_cnet_master_m36

tab attr3 prov if timelost>0, col
tab active3 prov if timelost>0, col

* use the powerpoint "dm households and nets" template to produce the graph
 
 
********************************************************************************

* TABLE 12

* attrition

* here attrition is calculated from the m12_cnet data file and not the master file
* because this file includes the nts lost due to wear and tear between the campaign and baseline.

use E:\data\statadata\dm\country\country_cnet_master_m36

set more off

svy: tab attr3 prov, col perc ci obs subpop(known3)

* data for the table are from the second row (given away), the third row (discarded)
* and the fifth row (unknown). The other rows (net present or used in a different location)
* are not considered lost

svy: tab still3 prov, col perc ci obs subpop(known3)

* this provides the total all-cause attrition in the "no" category

********************************************************************************

* FIGURE 7

* attrition

use E:\data\statadata\dm\country\country_cnet_master_m36

* the results for all-cause attrition and attrition wear and tear (discarded)
* are used for the graph

svy: mean tdistr0, over(prov)
svy: mean tdistr1, over(prov)
svy: mean tdistr2, over(prov)
svy: mean tdistr3, over(prov)

* this provides the mean time since campaign distribution for the x-axis of the 
* graph

svy: tab still0 prov, col perc obs
svy: tab still1 prov, col perc obs subpop(known1)
svy: tab still2 prov, col perc obs subpop(known2)
svy: tab still3 prov, col perc obs subpop(known3)

* this provided all-cause attrition

svy: tab attr0 prov, col perc
svy: tab attr1 prov, col perc subpop(known1)
svy: tab attr2 prov, col perc subpop(known2)
svy: tab attr3 prov, col perc subpop(known3)

* this provides attrition due to wear and tear

********************************************************************************

* TABLE 13

* physical condition

use country_m36_cnet_final_anonym

* cohort nets with any hole

svy: tab anyhole prov, col perc ci obs

* median pHI if any hole 

sum phiw if anyhole==1, detail
sum phiw if anyhole==1 & prov==1, detail
sum phiw if anyhole==1 & prov==2, detail

univar phiw if anyhole==1
univar phiw if anyhole==1 & prov==1
univar phiw if anyhole==1 & prov==2

* cohort nets in good condition

svy: tab good prov, col perc ci 

* cohort nets too torn

svy: tab torn prov, col perc ci

* cohort nets in serviceable condition

svy: tab serv prov, col perc ci

********************************************************************************

* FIGURE 8

* damage of cohort nets

* any tear

svy: tab tear prov, col perc ci obs

* rodents

svy: tab rats prov, col perc ci

* burns

svy: tab burn prov, col perc ci

* open seam

svy: tab seam prov, col perc ci

* other mechanism

svy: tab mecoth prov, col perc ci

********************************************************************************

* TABLE 14

* this uses also the cnet masterfile

use E:\data\statadata\dm\country\country_cnet_master_m36

svy: tab surv3 prov, col perc ci obs subpop(known3)

* only nets ever used (not in package)

svy: tab surv3 prov if loc1!=5, col perc ci obs subpop(known3)

********************************************************************************

* FIGURE 9

* survival graph

* the results from the above table are used in the tool:
* "tool survival graph for multiple sites or brands"

********************************************************************************

* Bio-assay results

* preparation of bio-assay data from questionnaire and lab will depend on how
* they have been prepared and entered

* first the questionnaire data is prepared using e.g. the "bioassay_m12" do file
* then the lab data is extracted using e.g. the "ento_pep" do file which also
* merges the to files into one bioassay results file

use country_bio_m12_m36

set more off

* TABLE 15

* bio assay results

* 60 minute knock-down (mean and median)

svy: mean kd60 if survey==3, over(prov) 

byvar prov: univar kd60 if survey==3

* 24 hour mortality (mean and median)

svy: mean mort if survey==3, over(prov) 

byvar prov: univar mort if survey==3

* optimal effectiveness

svy: tab opt prov if survey==3, col perc ci

* minimal effectiveness

svy: tab min prov if survey==3, col perc ci

* optimal effectiveness with tunnel test

svy: tab opt2 prov if survey==3, col perc ci

* minimal effectiveness with tunnel test

svy: tab min2 prov if survey==3, col perc ci

********************************************************************************

* FIGURE 10 

* boxplot of kd60 and mortality results

graph box kd60 mort, by(prov) over(survey) ytitle(Percent) yline(95, lpattern(longdash) lcolor(forest_green)) /*
*/ yline(80, lpattern(dash) lcolor(cranberry)) yline(50, lpattern(shortdash) lcolor(cranberry))/*
*/ yline(75, lpattern(shortdash) lcolor(forest_green)) ylabel(0(20)100) scheme(s1color) name(country_bio_m36, replace)


* from the graph editor in Stata save as *.emf file and import into report in text editor

********************************************************************************

* TABLE 16

* handling of bio-assay nets

* location of nets

svy: tab loc prov if survey==3, col perc obs

* type of sleeping place

svy: tab splace prov if survey==3, col perc ci

* net users

svy: tab usergr prov if survey==3, col perc ci
* for the table combine rows 3 and 4 (older children and adults)

********************************************************************************

* TABLE 17 

* use of bio-assay nets

* used last night

svy: tab uselast prov if survey==3, col perc ci

* use last week

svy: tab freq prov if survey==3, col perc ci

* seasonality

svy: tab season prov if survey==3, col perc ci

********************************************************************************

* TABLE 18

* washing of bio-assay nets

svy: tab wash prov if survey==3, col perc ci

* mean and median washes for all

svy: mean times if survey==3, over(prov)

byvar prov: univar times if survey==3

* mean and median washes if ever washed

svy: mean times if wash==1 & survey==3, over(prov)

byvar prov: univar times if wash==1 & survey==3
	
* type of soap used

svy: tab soap prov if survey==3, col perc ci

********************************************************************************
